# Read about `build.yaml` at https://pub.dartlang.org/packages/build_config
targets:
  $default:
    builders:
      source_gen|guru_spec:
        generate_for:
          - "**/*.yaml"
        enabled: True

builders:
  guru_spec:
    target: ":guru_spec"
    import: "package:guru_spec/guru_spec_generator.dart"
    builder_factories: ["guruSpecBuilder"]
    build_extensions: { ".dart": [".spec.g.part"] }
    auto_apply: dependents
    build_to: cache
    applies_builders: ["source_gen|combining_builder"]